com.io7m.jcanephora.cursors

## Class JCGLR32UByteBuffered

- java.lang.Object
- - com.io7m.jcanephora.cursors.JCGLR32UByteBuffered

- All Implemented Interfaces:
    JCGLR32UReadableType, JCGLR32UType, JCGLR32UWritableType, com.io7m.jpra.runtime.java.JPRAValueType

      public final class JCGLR32UByteBuffered
      extends Object
      implements JCGLR32UType

  A `ByteBuffer` based implementation of the `JCGLR32U` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getR()`
    `int` | `metaROffsetFromCursor()`
    `int` | `metaROffsetFromType()`
    `static int` | `metaRStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaRType()`
    `static JCGLR32UType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static JCGLR32UType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setR(int x)` Set the value of the `r` field
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static JCGLR32UType newValueWithOffset(ByteBuffer in_buffer,
                                                        com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                        int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static JCGLR32UType newValue(ByteBuffer in_buffer,
                                              com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaROffsetFromType

          public int metaROffsetFromType()

      Specified by:
        `metaROffsetFromType` in interface `JCGLR32UReadableType`
      Returns:
        The offset in octets of the `r` field, from the start of the type

    - #### metaRStaticOffsetFromType

          public static int metaRStaticOffsetFromType()

      Returns:
        The offset in octets of field `r` from the start of the type

    - #### metaROffsetFromCursor

          public int metaROffsetFromCursor()

      Specified by:
        `metaROffsetFromCursor` in interface `JCGLR32UReadableType`
      Returns:
        The offset in octets of the `r` field, from the cursor

    - #### metaRType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaRType()

      Specified by:
        `metaRType` in interface `JCGLR32UReadableType`
      Returns:
        The type of the `r` field

    - #### getR

          public int getR()

      Specified by:
        `getR` in interface `JCGLR32UReadableType`
      Returns:
        The value of the `r` field

    - #### setR

          public void setR(int x)

      Description copied from interface: `JCGLR32UWritableType`
      Set the value of the `r` field
      Specified by:
        `setR` in interface `JCGLR32UWritableType`
      Parameters:
        `x` - The new value

Copyright © 2016 <code@io7m.com> http://io7m.com